## org.apache.solr.common.params
Interface ShardParams

    public interface ShardParams

Parameters used for distributed search.

Field Summary
`static String` `_ROUTE_`
`static String` `IDS` IDs of the shard documents
`static String` `IS_SHARD` whether the request goes to a shard
`static String` `SHARD_KEYS` Deprecated.
`static String` `SHARD_URL` The requested URL for this shard
`static String` `SHARDS` the shards to use (distributed configuration)
`static String` `SHARDS_INFO` Request detailed match info for each shard (true/false)
`static String` `SHARDS_QT` The Request Handler for shard requests
`static String` `SHARDS_ROWS` per-shard start and rows
`static String` `SHARDS_START`
`static String` `SHARDS_TOLERANT` Should things fail if there is an error? (true/false)

Field Detail

### SHARDS

    static final String SHARDS

  the shards to use (distributed configuration)

  See Also:
    Constant Field Values

### SHARDS_ROWS

    static final String SHARDS_ROWS

  per-shard start and rows

  See Also:
    Constant Field Values

### SHARDS_START

    static final String SHARDS_START

See Also:
  Constant Field Values

### IDS

    static final String IDS

  IDs of the shard documents

  See Also:
    Constant Field Values

### IS_SHARD

    static final String IS_SHARD

  whether the request goes to a shard

  See Also:
    Constant Field Values

### SHARD_URL

    static final String SHARD_URL

  The requested URL for this shard

  See Also:
    Constant Field Values

### SHARDS_QT

    static final String SHARDS_QT

  The Request Handler for shard requests

  See Also:
    Constant Field Values

### SHARDS_INFO

    static final String SHARDS_INFO

  Request detailed match info for each shard (true/false)

  See Also:
    Constant Field Values

### SHARDS_TOLERANT

    static final String SHARDS_TOLERANT

  Should things fail if there is an error? (true/false)

  See Also:
    Constant Field Values

### SHARD_KEYS

    @Deprecated
    static final String SHARD_KEYS

  Deprecated.
  Should things fail if there is an error? (true/false)

  See Also:
    Constant Field Values

### _ROUTE_

    static final String _ROUTE_

See Also:
  Constant Field Values

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.